import { AnyConfig } from '../config.js';
import GridData from '../grid.js';
import NumberSymbol from './numberSymbol.js';
export default class MinesweeperSymbol extends NumberSymbol {
    private static readonly CONFIGS;
    private static readonly EXAMPLE_GRID;
    /**
     * **Minesweeper numbers count opposite cells in 8 adjacent spaces**
     *
     * @param x - The x-coordinate of the symbol.
     * @param y - The y-coordinate of the symbol.
     * @param number - The number of cells seen by the symbol.
     */
    constructor(x: number, y: number, number: number);
    get id(): string;
    get placementStep(): number;
    get explanation(): string;
    get configs(): readonly AnyConfig[] | null;
    createExampleGrid(): GridData;
    countTiles(grid: GridData): {
        completed: number;
        possible: number;
    };
    copyWith({ x, y, number, }: {
        x?: number;
        y?: number;
        number?: number;
    }): this;
    withNumber(number: number): this;
}
export declare const instance: MinesweeperSymbol;
